module LoriotRb
  class Configuration
    # attr_writer :allow_sign_up

    attr_accessor :protocol, :host, :port, :env

    def initialize
      @protocol = nil
      @host = nil
      @port = nil
      @env = 'development'
    end

  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configuration=(config)
    @configuration = config
  end

  def self.configure
    yield configuration
  end
end